<?php

/**
 * @file
 * Contains function for the settings form.
 */

/**
 * Returns built admin form.
 */
function sequential_nodes_admin_settings($form, &$form_state) {

  $form['settings'] = array(
    '#type' => 'fieldset',
    '#title' => t('Basic settings'),
    '#collapsible' => TRUE,
  );

  $form['settings']['sequential_nodes_prev_link'] = array(
    '#type' => 'textfield',
    '#required' => TRUE,
    '#title' => t('Previous link display'),
    '#default_value' => variable_get('sequential_nodes_prev_link', '[node:title]'),
    '#description' => t('Text to display as previous node link'),
  );

  $form['settings']['sequential_nodes_next_link'] = array(
    '#type' => 'textfield',
    '#required' => TRUE,
    '#title' => t('Next link display'),
    '#default_value' => variable_get('sequential_nodes_next_link', '[node:title]'),
    '#description' => t('Text to display as next node link'),
  );

  $form['settings']['markup_text'] = array(
    '#type' => 'item',
    '#markup' => t('These fields support tokens'),
  );

  $form['settings']['tokens'] = array(
    '#theme' => 'token_tree',
    '#dialog' => TRUE,
    '#token_types' => array('node'),
    '#global_types' => TRUE,
    '#click_insert' => TRUE,
  );

  return system_settings_form($form);

}
